> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Added Back Liability Records

> Retrieve invoices that were previously rejected by recipients and have been added back for liability consideration in IMS Supplier View.

#### Response schema

For successful responses, these resources describe the GSTN payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/invoices/added-back-liabilities.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/invoices/added-back-liabilities-v1.0.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/added-back-liabilities/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/invoices/added-back-liabilities/{year}/{month}:
    get:
      tags: []
      summary: Get Added Back Liability Records
      description: >-
        Get added-back liability records for a return period for authenticated
        taxpayer.
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: '{{year}}'
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: '{{month}}'
          schema:
            type: string
        - name: section
          in: query
          description: ''
          required: true
          example: '{{section}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: Public key required to authorize API access.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: true
          example: '{{version}}'
          schema:
            type: string
        - name: authorization
          in: header
          description: ''
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetInvoicesAddedBackLiabilitiesYearMonthResponse
              examples:
                Get Added Back Liability Records:
                  summary: Get Added Back Liability Records
                  value:
                    code: 200
                    timestamp: 1769775766724
                    data:
                      status_cd: '0'
                      error:
                        message: >-
                          No added back liability records available for the
                          selected input criteria
                        error_cd: IMS0027
                    transaction_id: 0ab634ae-dd3b-4d73-80ec-3b54295df359
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetInvoicesAddedBackLiabilitiesYearMonthResponse:
      oneOf:
        - $ref: >-
            #/components/schemas/GetInvoicesAddedBackLiabilitiesYearMonthSuccessResponse
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetInvoicesAddedBackLiabilitiesYearMonthSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: >-
                    #/components/schemas/GetInvoicesAddedBackLiabilitiesYearMonthSuccessPayload
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetInvoicesAddedBackLiabilitiesYearMonthSuccessPayload:
      type: object
      description: >-
        Successful GSTN payload for Get Invoices Added Back Liabilities Year
        Month.
      properties:
        gstin:
          type: string
          description: GSTIN of the taxpayer
          maxLength: 15
        rtnprd:
          type: string
          description: Return period in MMYYYY format
        rejInvAddBackLiab:
          type: object
          description: The rej Inv Add Back Liab value returned by GSTN.
          properties:
            cdnr:
              type: array
              description: The cdnr value returned by GSTN.
              items:
                type: object
                properties:
                  ctin:
                    type: string
                    description: GSTIN pattern
                    maxLength: 15
                  tradenm:
                    type: string
                    description: The tradenm value returned by GSTN.
                  inv_typ:
                    type: string
                    description: Invoice type
                    enum:
                      - SEWP
                      - SEWOP
                      - R
                      - DE
                  val:
                    type: number
                    description: Amount value
                    minimum: 0
                  txval:
                    type: number
                    description: Amount value
                    minimum: 0
                  iamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  camt:
                    type: number
                    description: Amount value
                    minimum: 0
                  samt:
                    type: number
                    description: Amount value
                    minimum: 0
                  csamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  remarks:
                    type: string
                    description: The remarks value returned by GSTN.
                  supPrd:
                    type: string
                    description: Month year in MMYYYY format
                  form:
                    type: string
                    description: Form type
                    enum:
                      - R1
                      - R1A
                  nt_num:
                    type: string
                    description: The nt num value returned by GSTN.
                  nt_dt:
                    type: string
                    description: Date in DD-MM-YYYY format
                  ntty:
                    type: string
                    description: Note type - C/Credit, D/Debit
                    enum:
                      - C
                      - D
            b2ba:
              type: array
              description: The b2ba value returned by GSTN.
              items:
                type: object
                properties:
                  ctin:
                    type: string
                    description: GSTIN pattern
                    maxLength: 15
                  tradenm:
                    type: string
                    description: The tradenm value returned by GSTN.
                  inv_typ:
                    type: string
                    description: Invoice type
                    enum:
                      - SEWP
                      - SEWOP
                      - R
                      - DE
                  val:
                    type: number
                    description: Amount value
                    minimum: 0
                  txval:
                    type: number
                    description: Amount value
                    minimum: 0
                  iamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  camt:
                    type: number
                    description: Amount value
                    minimum: 0
                  samt:
                    type: number
                    description: Amount value
                    minimum: 0
                  csamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  remarks:
                    type: string
                    description: The remarks value returned by GSTN.
                  supPrd:
                    type: string
                    description: Month year in MMYYYY format
                  form:
                    type: string
                    description: Form type
                    enum:
                      - R1
                      - R1A
                  inum:
                    type: string
                    description: The inum value returned by GSTN.
                  idt:
                    type: string
                    description: Date in DD-MM-YYYY format
                  oinum:
                    type: string
                    description: The oinum value returned by GSTN.
                  oidt:
                    type: string
                    description: Date in DD-MM-YYYY format
            cdnra:
              type: array
              description: The cdnra value returned by GSTN.
              items:
                type: object
                properties:
                  ctin:
                    type: string
                    description: GSTIN pattern
                    maxLength: 15
                  tradenm:
                    type: string
                    description: The tradenm value returned by GSTN.
                  inv_typ:
                    type: string
                    description: Invoice type
                    enum:
                      - SEWP
                      - SEWOP
                      - R
                      - DE
                  val:
                    type: number
                    description: Amount value
                    minimum: 0
                  txval:
                    type: number
                    description: Amount value
                    minimum: 0
                  iamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  camt:
                    type: number
                    description: Amount value
                    minimum: 0
                  samt:
                    type: number
                    description: Amount value
                    minimum: 0
                  csamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  remarks:
                    type: string
                    description: The remarks value returned by GSTN.
                  supPrd:
                    type: string
                    description: Month year in MMYYYY format
                  form:
                    type: string
                    description: Form type
                    enum:
                      - R1
                      - R1A
                  nt_num:
                    type: string
                    description: The nt num value returned by GSTN.
                  nt_dt:
                    type: string
                    description: Date in DD-MM-YYYY format
                  ntty:
                    type: string
                    description: Note type - C/Credit, D/Debit
                    enum:
                      - C
                      - D
                  ont_num:
                    type: string
                    description: The ont num value returned by GSTN.
                  ont_dt:
                    type: string
                    description: Date in DD-MM-YYYY format
            ecoma:
              type: array
              description: The ecoma value returned by GSTN.
              items:
                type: object
                properties:
                  val:
                    type: number
                    description: Amount value
                    minimum: 0
                  txval:
                    type: number
                    description: Amount value
                    minimum: 0
                  iamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  camt:
                    type: number
                    description: Amount value
                    minimum: 0
                  samt:
                    type: number
                    description: Amount value
                    minimum: 0
                  csamt:
                    type: number
                    description: Amount value
                    minimum: 0
                  remarks:
                    type: string
                    description: The remarks value returned by GSTN.
                  supPrd:
                    type: string
                    description: Month year in MMYYYY format
                  form:
                    type: string
                    description: Form type
                    enum:
                      - R1
                      - R1A
                  rtin:
                    type: string
                    description: GSTIN pattern
                    maxLength: 15
                  rtinNam:
                    type: string
                    description: The rtin Nam value returned by GSTN.
                  stin:
                    type: string
                    description: GSTIN pattern
                    maxLength: 15
                  stinNam:
                    type: string
                    description: The stin Nam value returned by GSTN.
                  inum:
                    type: string
                    description: The inum value returned by GSTN.
                  idt:
                    type: string
                    description: Date in DD-MM-YYYY format
                  oinum:
                    type: string
                    description: The oinum value returned by GSTN.
                  oidt:
                    type: string
                    description: Date in DD-MM-YYYY format
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.

````